load {base} | R Documentation

## Reload Saved Datasets

### Description

Reload datasets written with the function `save`.

### Usage

    load(file, envir = parent.frame())

### Arguments

`file` | a (readable binary-mode) connection or a character string giving the name of the file to load (when tilde expansion is done).
`envir` | the environment where the data should be loaded.

### Details

`load` can load R objects saved in the current or any earlier format. It can read a compressed file (see `save`) directly from a file or from a suitable connection (including a call to `url`).

A not-open connection will be opened in mode `"rb"` and closed after use. Any connection other than a `gzfile` or `gzcon` connection will be wrapped in `gzcon` to allow compressed saves to be handled: note that this leaves the connection in an altered state (in particular, binary-only), and that it needs to be closed explicitly (it will not be garbage-collected).

Only R objects saved in the current format (used since R 1.4.0) can be read from a connection. If no input is available on a connection a warning will be given, but any input not in the current format will result in a error.

Loading from an earlier version will give a warning about the ‘magic number’: magic numbers `1971:1977` are from R < 0.99.0, and `RD[ABX]1` from R 0.99.0 to R 1.3.1. These are all obsolete, and you are strongly recommended to re-save such files in a current format.

### Value

A character vector of the names of objects created, invisibly.

### Warning

Saved R objects are binary files, even those saved with `ascii = TRUE`, so ensure that they are transferred without conversion of end of line markers. `load` tries to detect such a conversion and gives an informative error message.

### See Also

`save`, `download.file`.

For other interfaces to the underlying serialization format, see `unserialize` and `readRDS`.

### Examples

    ## save all data
    xx <- pi # to ensure there is some data
    save(list = ls(all=TRUE), file= "all.RData")
    rm(xx)

    ## restore the saved values to the current environment
    local({
       load("all.RData")
       ls()
    })
    ## restore the saved values to the user's workspace
    load("all.RData", .GlobalEnv)

    unlink("all.RData")

    ## Not run:
    con <- url("http://some.where.net/R/data/example.rda")
    ## print the value to see what objects were created.
    print(load(con))
    close(con) # url() always opens the connection

    ## End(Not run)

[Package base version 2.15.1 Index]